<?php
/*
Plugin Name: unFocus.Insensitivity
Plugin URI: http://www.unfocus.com/projects/
Description: A plugin to make permalinks case insensitive.
Version: 1.0a
Author: Kevin Newman
Author URI: http://www.unfocus.com/projects/
*/
function unFocus_insensitivity() {
	if (preg_match('/[A-Z]/', $_SERVER['REQUEST_URI'])) {
		$_SERVER['REQUEST_URI'] = strtolower($_SERVER['REQUEST_URI']);
		$_SERVER['PATH_INFO']   = strtolower($_SERVER['PATH_INFO']);
	}
}
add_action('init', 'unFocus_insensitivity');
?>